Grants, vesting & distributions

Get Upcoming Settlement Events

Returns the org's upcoming settlement events with status/type filters and awaiting totals via distributionService.

POSThttps://api.toku.com/tga/get-upcoming-settlement-events

Not available to API keys yet. It will need grants:read.

curl --request POST \
  --url 'https://api.toku.com/tga/get-upcoming-settlement-events' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "eventTypes": [],
  "statuses": [],
  "grantName": "string",
  "recipientName": "string"
}'
200 response
{
  "settlementEvents": [
    {
      "vestingID": "string",
      "settlementDate": "string",
      "status": "Vesting Pending",
      "eventType": "Vesting",
      "amount": "string",
      "grantName": "string",
      "grantID": "string",
      "recipientName": "string",
      "roleInOrgID": "string",
      "roleInOrgExternalID": 0,
      "fmv": "string"
    }
  ],
  "tokensAwaitingSettlementFromVestings": "string",
  "tokensToBeSettledInTheTimePeriodFromVestings": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

eventTypesany[]
statusesany[]
grantNamestring
recipientNamestring

Response

200Successful response
settlementEventsobject[]required
Show child attributes
vestingIDstringrequired
settlementDatestringrequired
statusstringrequired

Available options: Vesting Pending, Tax Pending, Settlement Pending, Settled

eventTypestringrequired

Available options: Vesting, Unlock, Option Exercise

amountstringrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

grantNamestringrequired
grantIDstringrequired
recipientNamestringrequired
roleInOrgIDstringrequired
roleInOrgExternalIDnumberrequired
fmvstring | null

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

tokensAwaitingSettlementFromVestingsstringrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

tokensToBeSettledInTheTimePeriodFromVestingsstringrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits